%define languageenglazy Sardinian
%define languagecode    sc
%define lc_ctype        sc_IT

%define upstream_version 20081101

Name:           hunspell-%{languagecode}
Version:        0.%{upstream_version}.1
Release:        %mkrel 15
Summary:        %{languageenglazy} hunspell dictionaries
License:        AGPLv3
Group:          System/Internationalization
URL:            http://extensions.services.openoffice.org/project/Dict_sc
Source0:       https://sourceforge.net/projects/aoo-extensions/files/1446/2/dict_sc_it03.oxt#/%{name}-%{version}.oxt 

BuildRequires:  pkgconfig(hunspell)

BuildArch:      noarch

Recommends:       hunspell

Requires:       locales-sc
#Mageia values: 1 - aspell, 2 - hunspell, 3 - language specific
Provides:       enchant-dictionary = 2
Provides:       hunspell-dictionary
Provides:       hunspell-%{lc_ctype} = %{version}-%{release}
#Generic providing - see Mageia values
Provides:       dictionary-%{languagecode} = 2 
Provides:       dictionary-%{lc_ctype} = 2

#MySpell is deprecated
# nothing to obsolete
#Obsoletes:      myspell-%{languagecode} <= 1.0.2-30
#Provides:       myspell-%{languagecode}
#Obsoletes:      myspell-%{lc_ctype} <= 1.0.2-30
#Provides:       myspell-%{lc_ctype}

AutoReqProv:    no

%description
%{languageenglazy} hunspell dictionaries.


%prep
%setup -q -c

%build

%install
install -D -m 0644 -p *.dic %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.dic
install -D -m 0644 -p *.aff %{buildroot}%{_datadir}/hunspell/%{lc_ctype}.aff

#backward compatibility
mkdir -p %{buildroot}%{_datadir}/myspell
pushd %{buildroot}%{_datadir}/myspell
    ln -s ../hunspell/%{lc_ctype}.dic %{lc_ctype}.dic
    ln -s ../hunspell/%{lc_ctype}.aff %{lc_ctype}.aff
popd #%%{buildroot}%%{_datadir}/myspell

%files
%doc registration/agpl3-en.txt
%{_datadir}/hunspell/*
%{_datadir}/myspell/*


%changelog
* Tue Feb 11 2020 umeabot <umeabot> 0.20081101.1-15.mga8
+ Revision: 1490889
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 0.20081101.1-14.mga7
+ Revision: 1262474
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- FIx Source0 link

* Fri Feb 05 2016 umeabot <umeabot> 0.20081101.1-13.mga6
+ Revision: 937629
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.20081101.1-12.mga6
+ Revision: 937176
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.20081101.1-11.mga5
+ Revision: 748883
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20081101.1-10.mga5
+ Revision: 680298
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Oct 18 2013 umeabot <umeabot> 0.20081101.1-9.mga4
+ Revision: 505638
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.20081101.1-8.mga3
+ Revision: 353683
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 20 2012 kamil <kamil> 0.20081101.1-7.mga2
+ Revision: 224821
- add requirement on locales (mga#4632)

* Wed Feb 08 2012 kamil <kamil> 0.20081101.1-6.mga2
+ Revision: 206331
- adapt .spec to the current policies

* Sat Mar 12 2011 dmorgan <dmorgan> 0.20081101.1-5.mga1
+ Revision: 69064
- imported package hunspell-sc


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20081101-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20081101-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Jul 09 2009 Caolan McNamara <caolanm@redhat.com> - 0.20081101-3
- drop unneeded buildrequires

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20081101-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Nov 28 2008 Caolan McNamara <caolanm@redhat.com> - 0.20081101-1
- latest version

* Wed Oct 29 2008 Caolan McNamara <caolanm@redhat.com> - 0.20081027-1
- initial version
